Legacy versions 4.4.1

//Legacy versions 4.4.1

Legacy versions 4.4.1

Legacy versions 4.4.1
The versions below should not be used for new installations.
They are recommended for customer still using legacy products
such as NPT710 or PX328 EFTPOS terminals.

Standard installations…
Click on the following link to download – PC-EFTPOS setup.exe

Gateway customers …
For customer’s using the PC-EFTPOS IP Communications Gateway
Click on the following link to download – PC-EFTPOS setup SSL.exe

(For more information on the PC-EFTPOS IP Communications Gateway, click here)

2018-08-29T14:30:49+00:00January 13th, 2012|